/*********************************************************************
 * Job Ticket API (JTAPI)                                            
 *                                                                   
 * Copyright (c) 2003 International Business Machines Corp.          
 * Copyright (c) 2003 Free Standards Group.          
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON 
 * PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION 
 * OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *********************************************************************/

#ifndef FSGJT_DOCUMENT_H
#define FSGJT_DOCUMENT_H

#include <fsgjt.h>

/* Constant to use for the type of this JTAPI object */
#define FSGJT_DOCUMENT_OBJECT_TYPE          "FSGJT_DOCUMENT"

/************************************************************
 * Document attributes
 ***********************************************************/
#define FSGJT_DOCUMENT_URI                 "document-uri"

/************************************************************
 * fsgjtNewDocument - Creates a Document object using the 
 * provided URI. 
 *
 * param fsgjt_object_t* document - Pointer to the new 
 *      document to be created
 * param char* uri - URI of the document or NULL if no data 
 *      file is to be associated with the job ticket
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewDocument(
               fsgjt_object_t* document,
               char* uri);

#endif /* FSGJT_DOCUMENT_H */
